<?php
session_start();

	require_once('../wa_baza/wa_polacz.php');
	
/*Przypisanie danych wysłanych przez skrypt.js do zmiennej*/
	$id = $_SESSION['user_id']; // id user
	$imie = $_SESSION['nazwa'];  //nazwa user
	$data = date("Y-m-d H:m:i");
	$w1=$_POST['k1'];
	$tk = strip_tags($_POST['k2']);
	$kom = wordwrap($tk, 70, "<br />\n", true);
	$zapytanie = "INSERT INTO blog_komentarz (id_wpisu, id_user, nazwa, komentarz, data_komentarza)
						VALUES ($w1, '$id', '$imie', '$kom', NOW())";
	$wykonaj = mysqli_query($db, $zapytanie);

	//-------------------	
	$zapytanie = "SELECT kol_fonttytul1, kol_fontwpis1,kol_tlowpis1, kol_ramkawpis1, kol_fontkomentarz1,
	kol_tlokomentarz1, kol_ramkakomentarz1, kol_fonttytul2, kol_fontwpis2, kol_tlowpis2, kol_ramkawpis2,
	kol_fontkomentarz2, kol_tlokomentarz2, kol_ramkakomentarz2, kol_tloblog
	FROM blog_setup WHERE id_user=$id";

	$zap2 = "SELECT * FROM blog_wpis WHERE id_user=$id order by id_wpis asc";
	$zap3 = "SELECT * FROM blog_komentarz WHERE id_user=$id order by id_wpisu, data_komentarza asc";

	//--------------------------------------------------
	$wynik_pobierz = mysqli_query($db, $zapytanie);
		$tkol = array();
			while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
			{
				$tkol[] = $wiersz;
			}
	//-----------------------------------------------------
	
	//-----------------------------------------------------
	$wynik_pobierz = mysqli_query($db, $zap2);
		$twpis = array();
			while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
			{
				$twpis[] = $wiersz;
			}
	//-----------------------------------------------------
	
	//-----------------------------------------------------
	$wynik_pobierz = mysqli_query($db, $zap3);
		$lo = $wynik_pobierz->num_rows;
		$tkomentarz = array();
			while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
			{
				$tkomentarz[] = $wiersz;
			}
	//-----------------------------------------------------
	
	$lp = count($twpis[0]);
	
	$l=0;
	for ($i=0; $i<2; $i++) {
		for ($k=0; $k<7; $k++) {
			$kol[$i][$k] = $tkol[$l];
			$l++;
		}
	}
		$k=0;
		$l=0;
		echo '<div id="panel_tlo_wpis" style="background-color: '.$tkol[14].'; height: 99%">';
		for ($i=0; $i<$lp; $i++) {
			//Wpisy
			if ($i==($w1-1)) { echo '<a name="skocz"></a>'; }
			echo '<div id="panel_wpis1" style="background-color: '.$kol[$k][2].'; border-color: '.$kol[$k][3].'; ">';
				echo '<div id="panel_info_user"><p id="p_user">Nazwa usera - '.$twpis[2][$i].'</p></div>';
				echo '<div id="wpis_tytul">';
				echo '<p id="h3w" style="color: '.$kol[$k][0].'">'.$twpis[0][$i].'</p></div>';
				echo '<p id="tekstw1" style="color: '.$kol[$k][1].'">';
				echo nl2br($twpis[1][$i]).'</p>';
			echo '</div>';
			
			//----------komentarz----------------------
			$lk = count($tkomentarz[1]);
			if ($l<$lk) {
				if ($tkomentarz[1][$l]==$twpis[3][$i]) {
					while($tkomentarz[1][$l]==$twpis[3][$i]) {
						echo '<div id="pkomentarz1" style="color: '.$kol[$k][4].'; background-color: '.$kol[$k][5].'; border-color: '.$kol[$k][6].';">';
							$ik = '<p id="info_komentarz">Komentarz dodał: '.$tkomentarz[3][$l].'&nbsp;&nbsp;&nbsp;-&nbsp;&nbsp;&nbsp;'.$tkomentarz[5][$l].'</p><br />';
							echo $ik.$tkomentarz[4][$l];
						echo '</div>';
						$l++;
						if ($l>=$lk) break;
					}
				}
			}
			
			echo '<div id="nowy_komentarz" class="nk'.$twpis[3][$i].'">';
			echo '</div>';
			echo '<div id="dodaj_komentarz">';
			echo '<input type="button" class="but_kom" name="kom1" id="'.$twpis[3][$i].'" value="Dodaj komentarz"></div>';
			//----------------------------
				echo '<div id="odstep"></div>';			
			$k++;
			if ($k>1) { $k=0; }
		}
	echo '</div>';

?>
